I have Snow Leopard on my new i mac, but I can't install Aperture 1, do I have to purchase Aperture 2

  • Asked about:  Mac OS X 10.6 Snow Leopard

2 Answers from the Community

  • Answer

    You probably will, yes, as even Aperture 2 needed an update to be compatible with Snow Leopard.

  • Yes.